
QGIS Application - Bug report #16146

Mac OS X Snow Leopard & QGIS 2.18.3 : configuration OK but make fails

2017-02-03 06:50 AM - Laurent Delphin

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24058

Description

Configuration :

- mac mini Intel Core 2 Duo ;

- Mac OS X : Snow Leopard 10.6.8

- GNU cc : 4.6.2 (from XCode ; however, GNU cc v. 6.3.0 correctly installed) ;

- QGIS source code : 2.18.3 ;

- Qt 4 ;

- other third parties : in general, last version (e.g., PROJ4, GDAL, GEOS, QWT, EXPAT).

Issue :

- configuration with CMake is OK ;

- running make fails ;

- QGis not compiled.

Additional :

- GRASS GIS v. 7.2.0 compiled, correctly installed (not in /usr/local/etc.) and running.

- GIS SAGA too ;

- never succeeded for compiling any version of QGis. A very big regret...

Enclosed : at least, the log file issued by make.

Thank you !

History

#1 - 2017-02-03 06:52 AM - Laurent Delphin

- File Makefile added

#2 - 2017-02-03 06:52 AM - Laurent Delphin

- File CMakeCache.txt added

#3 - 2017-03-08 04:34 PM - Larry Shaffer

Hi Laurent,

Looks like your libspatialite and/or your libsqlite3 are not built right. InitSpatialMetadata() is part of Spatialite and should be the functional if your version is

fairly recent. Verify your Spatialite install works right and is linked to your custom SQLite3 (not the system's).

Note: not sure you are going to succeed here, trying to compile on 10.6.8. I'd suggest the minimum macOS for 2.14 and above would be 10.7. I'd

recommend at least 10.9.5. Of course, those versions may not be an option for you.
#4 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2017-05-01 10:12 AM - Giovanni Manghi

- Description updated

- Operating System changed from Mac Mini to macOS

- Status changed from Open to Feedback

- Category set to Build/Install

#6 - 2017-05-04 09:25 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

ERROR-make-2183.log 33.4 KB 2017-02-03 Laurent Delphin

Makefile 282 KB 2017-02-03 Laurent Delphin

CMakeCache.txt 80.1 KB 2017-02-03 Laurent Delphin
